#include<bits/stdc++.h>
using namespace std;
const int MAXN=2e6+10;
int T,n;
int a[MAXN],b[MAXN];
int Q;
struct node{
	int l,r;
}ma[MAXN];
signed main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	cin>>T>>n;
	cout<<114514;
	return 0;
}